# -*- coding: utf-8 -*-
from kinder.core.dict.models import WorkType


def get_all_day_work_types():

    work_types = WorkType.objects.all()
    all_day_types = [WorkType.ALLDAY]
    for work_type in work_types:
        code = work_type.code
        try:
            torn_code = code.split("-")
        except AttributeError:
            # Код может быть не заполнен
            continue

        map_code = torn_code[0]
        map_code = map_code.replace(",", ".")
        try:
            numeric_map_code = float(map_code)
        except ValueError:
            continue

        if numeric_map_code == 24:
            all_day_types.append(work_type.code)

    return all_day_types


full_day_types = get_all_day_work_types()


def get_short_day_types():

    work_types = WorkType.objects.all()
    short_types = [WorkType.SHORT]
    for work_type in work_types:
        code = work_type.code
        try:
            torn_code = code.split("-")
        except AttributeError:
            # Код может быть не заполнен
            continue

        map_code = torn_code[0]
        map_code = map_code.replace(",", ".")
        try:
            numeric_map_code = float(map_code)
        except ValueError:
            continue

        if 1 <= numeric_map_code < 8:
            short_types.append(work_type.code)

    return short_types


short_day_types = get_short_day_types()
